Subject: Re: bug#10551: closed (Re: bug#10551: 23.3; MAC OS X Emacs doesn't get all colors)

From: Alan Third <[email-masked]>
Date: Mon, 27 Jan 2020 20:38:18 +0000

On Mon, Jan 27, 2020 at 11:30:13AM -0800, Daniel (Youngwhan) Song wrote:
> it's been 8 years, and I use gnu emcas from macports, and I tried the M-x
> list-colors-display, and it only shows 42 colors.
> 
> I deleted ~/Library/Colors/Emacs.clr and re-launched the Emacs in the Mac,
> but it's same. It only shows 42 colors.
> 
> I followed David Caldwell's suggestion as before, and then it shows 500
> colors.

Can you please show me the contents of ~/Library/Colors and
/Library/Colors, if they exist.

Can you also show the value of ‘data-directory’ in Emacs then have a
look at rgb.txt in that directory and see if it has the full list of
colours.

Also send the output of (emacs-version), please.

-- 
Alan Third